package ru.dbotthepony.mc.otm.client.render

import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters

object ResearchIcons {
	val ICON_TRANSFER: AbstractMatterySprite
	val ICON_ATTACK_BOOST: AbstractMatterySprite
	val ICON_PLASMA_SHIELD_BOOST: AbstractMatterySprite
	val ICON_CLOAK: AbstractMatterySprite
	val ICON_GRAVITATIONAL_STABILIZER: AbstractMatterySprite
	val ICON_AIR_BAGS: AbstractMatterySprite
	val ICON_JUMP_BOOST: AbstractMatterySprite

	val ICON_FEATHER_FALLING: AbstractMatterySprite
	val ICON_ITEM_MAGNET: AbstractMatterySprite
	val ICON_ARROW: AbstractMatterySprite
	val ICON_ARMOR: AbstractMatterySprite
	val ICON_NANOBOTS: AbstractMatterySprite
	val ICON_NIGHT_VISION: AbstractMatterySprite
	val ICON_OXYGEN_SUPPLY: AbstractMatterySprite

	val ICON_PLASMA_SHIELD: AbstractMatterySprite
	val ICON_SHOCKWAVE: AbstractMatterySprite
	val ICON_LIMB_OVERCLOCKING: AbstractMatterySprite
	val ICON_STEP_ASSIST: AbstractMatterySprite
	val ICON_ENDER_TELEPORT: AbstractMatterySprite
	val ICON_WIRELESS_CHARGING: AbstractMatterySprite
	val ICON_UNKNOWN: AbstractMatterySprite

	val ICON_EXTENDED_REACH: AbstractMatterySprite
	val ICON_PHANTOM_ATTRACTOR: AbstractMatterySprite

	val KOT = ResourceLocation(OverdriveThatMatters.MOD_ID,  "textures/block/ph_kitty.png").sprite(0f, 0f, 32f, 32f, 32f, 32f)

	init {
		val grid = GridAtlas(ResourceLocation(OverdriveThatMatters.MOD_ID, "textures/gui/android_upgrades.png"), 18f, 18f, 7, 7)

		ICON_TRANSFER = grid.next()
		ICON_ATTACK_BOOST = grid.next()
		ICON_PLASMA_SHIELD_BOOST = grid.next()
		ICON_CLOAK = grid.next()
		ICON_GRAVITATIONAL_STABILIZER = grid.next()
		ICON_AIR_BAGS = grid.next()
		ICON_JUMP_BOOST = grid.next()
		ICON_FEATHER_FALLING = grid.next()
		ICON_ITEM_MAGNET = grid.next()
		ICON_ARROW = grid.next()
		ICON_ARMOR = grid.next()
		ICON_NANOBOTS = grid.next()
		ICON_NIGHT_VISION = grid.next()
		ICON_OXYGEN_SUPPLY = grid.next()
		ICON_PLASMA_SHIELD = grid.next()
		ICON_SHOCKWAVE = grid.next()
		ICON_LIMB_OVERCLOCKING = grid.next()
		ICON_STEP_ASSIST = grid.next()
		ICON_ENDER_TELEPORT = grid.next()
		ICON_WIRELESS_CHARGING = grid.next()
		ICON_UNKNOWN = grid.next()
		ICON_EXTENDED_REACH = grid.next()
		ICON_PHANTOM_ATTRACTOR = grid.next()
	}
}
